External Traffic Dashboard: add DuckDuckGo to external search engine referrers page
Closed, ResolvedPublic4 Story Points

Description

Let's go ahead and add the search engine referrer DuckDuckGo to http://discovery.wmflabs.org/external/#traffic_by_engine to track what we get from that search engine.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 17 2016, 11:30 PM
debt renamed this task from Add DDG to refer to Search Dashboard: add DuckDuckGo to external search engine referrers page.Aug 22 2016, 9:31 PM
debt triaged this task as Normal priority.
debt removed Deskana as the assignee of this task.
debt updated the task description. (Show Details)
debt added subscribers: mpopov, chelsyx, Deskana.
mpopov renamed this task from Search Dashboard: add DuckDuckGo to external search engine referrers page to External Traffic Dashboard: add DuckDuckGo to external search engine referrers page.Aug 23 2016, 8:14 PM
mpopov claimed this task.
mpopov set the point value for this task to 4.

Change 306698 had a related patch set uploaded (by Bearloga):
Add DuckDuckGo as a search engine

https://gerrit.wikimedia.org/r/306698

Change 306698 merged by Nuria:
Add DuckDuckGo as a search engine

https://gerrit.wikimedia.org/r/306698

Change 306729 had a related patch set uploaded (by Bearloga):
Ensures custom JARs are loaded

https://gerrit.wikimedia.org/r/306729

Change 306729 merged by Bearloga:
Ensures custom JARs are loaded

https://gerrit.wikimedia.org/r/306729

Backfilling referral data from 2016-06-26 using the new UDF that now also looks for Duck Duck Go. Will annotate the graph on dashboard.

Change 306822 had a related patch set uploaded (by Bearloga):
Annotate DuckDuckGo addition

https://gerrit.wikimedia.org/r/306822

Change 306822 merged by Bearloga:
Annotate DuckDuckGo addition

https://gerrit.wikimedia.org/r/306822

Change 306823 had a related patch set uploaded (by Bearloga):
Deploy External Traffic annotation

https://gerrit.wikimedia.org/r/306823

Change 306823 merged by Bearloga:
Deploy External Traffic annotation

https://gerrit.wikimedia.org/r/306823

Data is still backfilling and should be done by tomorrow but the annotation is live http://discovery.wmflabs.org/external/#traffic_by_engine

debt closed this task as Resolved.Aug 26 2016, 4:10 PM
debt added a subscriber: debt.

Nicely done! :)

Thank you for adding this additional understanding.